Skip to main content
POST
/
v1
/
recipients
curl --request POST \ --url https://api.sandbox.busha.so/v1/recipients \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "currency_id": "NGN", "country_id": "NG", "type": "ngn_bank_transfer", "legal_entity_type": "business", "fields": [ { "name": "bank_name", "value": "Access Bank Nigeria" }, { "name": "account_number", "value": "1234567890" }, { "name": "bank_code", "value": "000014" }, { "name": "account_name", "value": "John Doe" } ] } '
{ "status": "success", "message": "Recipient created successfully", "data": { "object": "recipient", "id": "8014c2ee-c70f-4c72-8d9f-c8b9d708a688", "user_id": "b8277d1c-1bde-46ef-92ce-ebb4752eede5", "profile_id": "b8277d1c-1bde-46ef-92ce-ebb4752eede5", "currency_id": "NGN", "country_id": "NG", "type": "ngn_bank_transfer", "legal_entity_type": "business", "owned_by_customer": true, "active": true, "created_at": "2024-05-16T13:06:31.409336+01:00", "updated_at": "2024-05-16T13:06:31.409336+01:00", "fields": [ { "value": "Access Bank Nigeria", "display_name": "Bank Name", "name": "bank_name", "is_copyable": false, "is_visible": true, "required": true }, { "value": "0013246052", "display_name": "Account Number", "name": "account_number", "is_copyable": false, "is_visible": true, "required": true } ] } }

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-Version
enum<string>
default:2025-07-11

The API version to use for this request.

Available options:
2025-06-01,
2025-07-11
Example:

"2025-07-11"

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Body

application/json
type
enum<string>
required

Type of recipient account

Available options:
ngn_bank,
kes_bank,
usd_bank,
gbp_bank,
mpesa_mobile_money,
mtn_mobile_money,
crypto,
paybill,
till
channel
string

Channel for the transfer (business_mobile_money only)

currency
string

Currency code for the recipient

country_code
string

Country code for the recipient

entity_type
enum<string>

Type of legal entity (for US, GB)

Available options:
personal,
business
transfer_type
enum<string>

Type of transfer (for US)

Available options:
ach,
wire,
swift
address_label
string

Name of the wallet (for crypto)

account_name
string

Name on the account

bank_name
string

Name of the bank (for NG, US, GB)

bank_code
string

Bank code (for NG only)

sort_code
string

Sort code (for GB only)

routing_number
string

Routing number (for US domestic ACH/Wire)

swift_code
string

SWIFT/BIC code (for international transfers)

account_number
string

Account number (for domestic transfers)

till_number
string

Till number (for domestic transfers)

paybill
string

Paybill (for domestic transfers)

iban
string

IBAN (for international transfers)

phone_number
string<phone>

A valid phone number. format {{calling_code}}{{number}}

Example:

"+2348012345678"

network
string

Blockchain network (for crypto transfers)

address
string

Wallet address (for crypto transfers)

memo
string

Tag/memo (for crypto transfers)

recipient_address
string

Address details (for international transfers)

intermediary_bank_name
string
Example:

"JPMorgan Chase Bank"

intermediary_bank_address
string
Example:

"270 Park Avenue, New York, NY 10017"

intermediary_swift_code
string
Example:

"CHASUS33"

busha_wallet
boolean

Whether the recipient is a a busha wallet

one_time
boolean

Whether the recipient is a one-time recipient. One-time recipients are stored but not returned in list or get responses.

Response

Recipient created successfully

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required
deprecated